[package]
name = "charon"
version = "0.1.0"
edition = "2021"
description = "Push files to a remote location and encrypt them in the process"
repository = "https://gitlab.com/theo.martos/charon"
license = "MIT"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
anyhow = "1.0.80"
chacha20poly1305 = "0.10.1"
clap = { version = "4.5.2", features = ["derive"] }
rust-s3 = "0.33.0"
serde = "1.0.197"
tokio = { version = "1.36.0", features = ["full"] }
toml = "0.8.10"
url = "2.5.0"
